ISBLANK(3) | Library Functions Manual | ISBLANK(3)

# NAME

`isblank` —
blank-space character test

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <ctype.h>`

int
`isblank`(int c);

# DESCRIPTION

The `isblank`() function tests for the standard blank-space characters. The standard blank-space characters are the following:

‘ ’
  Space character.
`\t`
  Horizontal tab.

In the ``C'' locale, `isblank`() returns true only for the standard blank-space characters.

# RETURN VALUES

The `isblank`() function returns zero if the character tests false and returns non-zero if the character tests true.

# SEE ALSO

ctype(3), isalnum(3), isalpha(3), isascii(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

# CAVEATS

The argument to `isblank`() must be `EOF` or representable as an unsigned char; otherwise, the behavior is undefined. See the CAVEATS section of ctype(3) for more details.

April 17, 2008 | NetBSD 9.0